<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>K&G Template</title>
    <link rel="stylesheet" href="assest/css/style.css">
    <script
    src="https://code.jquery.com/jquery-3.6.0.min.js"
    integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4="
    crossorigin="anonymous"></script>
</head>
<body>
    <div id="wrapper" class="bgr-light">
        <section class="body_activity">
            <div id="headerControler">
                <div class="container">
                   <nav class="nav-controler">
                       <div>
                           <button type="button" class="btn-transparent btn-backto">
                               <img src="assest/images/back.svg" alt="">
                           </button>
                       </div>
                       <div class="heading_controler">Thông tin cửa hàng</div>
                       <div>
                            <button type="button" class="btn-transparent btn-suport">
                                <img src="assest/images/suport.svg" alt="">
                            </button>
                        </div>
                   </nav>
                </div>
            </div>

            <div class="activity_main_login">
                <div class="container">
                    <div class="activity_main_login_screen">
                        <div class="screen_login_center">
                            <div class="text_note_content">
                                Thêm địa chỉ cửa hàng để bắt đầu đặt hàng trên K&G Shop
                            </div>
                            <form class="form-login">
                                <div class="form-group form-with-lable disable">
                                    <input type="text" class="input_form" value="09123456789" disabled="disabled">
                                    <span class="lable">Số điện thoại</span>
                                </div>
                                <div class="form-group form-with-lable">
                                    <input type="text" class="input_form" placeholder="Tên cửa hàng" onfocus="this.placeholder = ''"
                                    onblur="this.placeholder = 'Tên cửa hàng'">
                                    <span class="lable">Tên cửa hàng</span>
                                </div>
                                <button type="submit" class="btn_next_login" disabled="disabled" style="margin-top: 30px;">
                                    Gửi thông tin
                                    <svg aria-hidden="true" focusable="false" data-prefix="fal" data-icon="arrow-right" role="img" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 448 512" class="svg-inline--fa fa-arrow-right fa-w-14 fa-2x"><path fill="currentColor" d="M216.464 36.465l-7.071 7.07c-4.686 4.686-4.686 12.284 0 16.971L387.887 239H12c-6.627 0-12 5.373-12 12v10c0 6.627 5.373 12 12 12h375.887L209.393 451.494c-4.686 4.686-4.686 12.284 0 16.971l7.071 7.07c4.686 4.686 12.284 4.686 16.97 0l211.051-211.05c4.686-4.686 4.686-12.284 0-16.971L233.434 36.465c-4.686-4.687-12.284-4.687-16.97 0z" class=""></path></svg>
                                </button>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </div>
</body>

<script>
    
    let digitValidate = function(ele){
        // console.log(ele.value);
        ele.value = ele.value.replace(/[^0-9]/g,'');
    }

    let tabChange = function(val){
        let ele = document.querySelectorAll('input');
        if(ele[val-1].value != ''){
        ele[val].focus()
        }else if(ele[val-1].value == ''){
        ele[val-2].focus()
        }   
    }

    $(document).ready(function() {
        var checkRequired = function() {
            var allValid = false; 

            $('.required').each(
                function() {
                    if (this.value.trim() === "" ) {
                    // fail as soon as we hit an empty field
                    allValid = true;
                    return true;    // this ends the each() loop
                    }
                }
            );
            $('.form-login .btn_next_login').attr('disabled',allValid);
        }

        $('.required').bind('keyup change blur', checkRequired);
        checkRequired();  // start off in a correct state
    });

</script>


</html>